summaryrefslogtreecommitdiffstats
path: root/testing/source/rp-pppoe/rp-pppoe.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xtesting/source/rp-pppoe/rp-pppoe.SlackBuild (renamed from source/l/wv2/wv2.SlackBuild)61
1 files changed, 28 insertions, 33 deletions
diff --git a/source/l/wv2/wv2.SlackBuild b/testing/source/rp-pppoe/rp-pppoe.SlackBuild
index 79d04b50a..d23e97a0e 100755
--- a/source/l/wv2/wv2.SlackBuild
+++ b/testing/source/rp-pppoe/rp-pppoe.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2012 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,7 +20,8 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=0.4.2
+PKGNAM=rp-pppoe
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
@@ -37,28 +38,24 @@ NUMJOBS=${NUMJOBS:-" -j7 "}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
- LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
- LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
- LIBDIRSUFFIX="64"
else
SLKCFLAGS="-O2"
- LIBDIRSUFFIX=""
fi
CWD=$(pwd)
TMP=${TMP:-/tmp}
-PKG=$TMP/package-wv2
+PKG=$TMP/package-rp-pppoe
+
rm -rf $PKG
mkdir -p $TMP $PKG
-
cd $TMP
-rm -rf wv2-$VERSION
-tar xvf $CWD/wv2-$VERSION.tar.?z* || exit 1
-cd wv2-$VERSION
+rm -rf rp-pppoe-$VERSION
+tar xvf $CWD/rp-pppoe-$VERSION.tar.?z* || exit 1
+cd rp-pppoe-$VERSION/src || exit 1
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -66,33 +63,31 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-mkdir -p build
-cd build
- cmake \
- $KDE_OPT_ARGS \
- -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
- -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
- -DCMAKE_BUILD_TYPE=Release \
- -DCMAKE_INSTALL_PREFIX=/usr \
- -DMAN_INSTALL_DIR=/usr/man \
- -DSYSCONF_INSTALL_DIR=/etc \
- -DLIB_SUFFIX=${LIBDIRSUFFIX} \
- ..
- make $NUMJOBS || exit 1
- make install DESTDIR=$PKG || exit 1
-cd -
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --enable-plugin=/ppp-2.4.4 \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make $NUMJOBS || make || exit 1
+make install docdir=/usr/doc/rp-pppoe-$VERSION DESTDIR=$PKG install || exit 1
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+( cd $PKG/etc/ppp
+ for config in firewall-masq firewall-standalone pppoe-server-options pppoe.conf ; do
+ mv $config ${config}.new
+ done
+)
-mkdir -p $PKG/usr/doc/wv2-$VERSION
-cp -a \
- AUTHORS COPYING.LIB README RELEASE THANKS TODO \
- $PKG/usr/doc/wv2-$VERSION
+gzip -9 $PKG/usr/man/man?/*.?
mkdir -p $PKG/install
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $TMP/wv2-$VERSION-$ARCH-$BUILD.txz
+/sbin/makepkg -l y -c n $TMP/rp-pppoe-$VERSION-$ARCH-$BUILD.txz